> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v4-experimental/api-reference/groups/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Update group PATCH https://api.frame.io/v4/accounts/{account_id}/groups/{group_id} Content-Type: application/json Update group details. This endpoint has been added to `Current Version` of the API. Please see [https://next.developer.frame.io/platform/v4/api-reference/groups/update](https://next.developer.frame.io/platform/v4/api-reference/groups/update). Rate Limits: 10 calls per 1.00 minute(s) per account\_user Reference: https://next.developer.frame.io/platform/api-reference/groups/update ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) - `group_id` (string, required) ### Headers - `api-version` (enum, required) - Allowed values: `experimental` ### Body (application/json) This endpoint expects an UpdateGroupParams. - `data` (UpdateGroupParamsData, required) ## Response ### 200 OK - `data` (GroupCommon, required) ## Errors ### 400 Bad Request Error Bad request - `errors` (list of BadRequestErrorsItems, required) ### 401 Unauthorized Error Unauthorized - `errors` (list of UnauthorizedErrorsItems, required) ### 403 Forbidden Error Forbidden - `errors` (list of ForbiddenErrorsItems, required) ### 404 Not Found Error Not found - `errors` (list of NotFoundErrorsItems, required) ### 409 Conflict Error Conflict - `errors` (list of ConflictErrorsItems, required) ### 422 Unprocessable Entity Error Unprocessable content - `errors` (list of UnprocessableContentErrorsItems, required) ### 429 Too Many Requests Error Too many requests - `errors` (list of TooManyRequestsErrorsItems, required) ## Types ### UpdateGroupParamsData - `emoji` (string, optional) — Group emoji for UI display - `name` (string, optional) — Group name ### GroupCommon - `created_at` (string, required) — Creation timestamp - `creator_id` (string, required, nullable) — ID of group creator - `emoji` (string, required) — Group emoji for UI display - `id` (string, required) — Group ID - `member_count` (integer, required) — Number of members in group - `name` (string, required) — Group name - `updated_at` (string, required) — Update timestamp ### BadRequestErrorsItems - `detail` (string, required) - `source` (BadRequestErrorsItemsSource, optional) - `title` (string, optional) ### UnauthorizedErrorsItems - `detail` (string, required) - `source` (UnauthorizedErrorsItemsSource, optional) - `title` (string, optional) ### ForbiddenErrorsItems - `detail` (string, required) - `source` (ForbiddenErrorsItemsSource, optional) - `title` (string, optional) ### NotFoundErrorsItems - `detail` (string, required) - `source` (NotFoundErrorsItemsSource, optional) - `title` (string, optional) ### ConflictErrorsItems - `detail` (string, required) - `source` (ConflictErrorsItemsSource, optional) - `title` (string, optional) ### UnprocessableContentErrorsItems - `detail` (string, required) - `source` (UnprocessableContentErrorsItemsSource, optional) - `title` (string, optional) ### TooManyRequestsErrorsItems - `detail` (string, required) - `source` (TooManyRequestsErrorsItemsSource, optional) - `title` (string, optional) ### BadRequestErrorsItemsSource - `pointer` (string, optional) ### UnauthorizedErrorsItemsSource - `pointer` (string, optional) ### ForbiddenErrorsItemsSource - `pointer` (string, optional) ### NotFoundErrorsItemsSource - `pointer` (string, optional) ### ConflictErrorsItemsSource - `pointer` (string, optional) ### UnprocessableContentErrorsItemsSource - `pointer` (string, optional) ### TooManyRequestsErrorsItemsSource - `pointer` (string, optional) ## Examples **Request** ```json { "data": { "emoji": "smile", "name": "group-1" } } ``` **Response** ```json { "data": { "created_at": "2024-02-02T21:19:24.828948Z", "creator_id": "260a6f18-7aac-4b84-ac1e-50aaabb1ae27", "emoji": "smile", "id": "051f462c-1461-4e1e-afcf-9decd8ae7206", "member_count": 5, "name": "group-1", "updated_at": "2024-02-02T21:19:24.828948Z", "source": "frame" } } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/697a7838-476c-4f40-aff3-e7d22d11ee12/groups/2f1aa6fc-a309-4801-8a8e-6e2291190a92" payload = { "data": { "emoji": "smile", "name": "group-1" } } headers = { "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/697a7838-476c-4f40-aff3-e7d22d11ee12/groups/2f1aa6fc-a309-4801-8a8e-6e2291190a92'; const options = { method: 'PATCH', headers: { 'api-version': 'experimental', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"data":{"emoji":"smile","name":"group-1"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/697a7838-476c-4f40-aff3-e7d22d11ee12/groups/2f1aa6fc-a309-4801-8a8e-6e2291190a92" payload := strings.NewReader("{\n \"data\": {\n \"emoji\": \"smile\",\n \"name\": \"group-1\"\n }\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("api-version", "experimental") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/697a7838-476c-4f40-aff3-e7d22d11ee12/groups/2f1aa6fc-a309-4801-8a8e-6e2291190a92") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["api-version"] = 'experimental' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"emoji\": \"smile\",\n \"name\": \"group-1\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.frame.io/v4/accounts/697a7838-476c-4f40-aff3-e7d22d11ee12/groups/2f1aa6fc-a309-4801-8a8e-6e2291190a92") .header("api-version", "experimental") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"emoji\": \"smile\",\n \"name\": \"group-1\"\n }\n}") .asString(); ``` ```php request('PATCH', 'https://api.frame.io/v4/accounts/697a7838-476c-4f40-aff3-e7d22d11ee12/groups/2f1aa6fc-a309-4801-8a8e-6e2291190a92', [ 'body' => '{ "data": { "emoji": "smile", "name": "group-1" } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'api-version' => 'experimental', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/697a7838-476c-4f40-aff3-e7d22d11ee12/groups/2f1aa6fc-a309-4801-8a8e-6e2291190a92"); var request = new RestRequest(Method.PATCH); request.AddHeader("api-version", "experimental"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"emoji\": \"smile\",\n \"name\": \"group-1\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ "emoji": "smile", "name": "group-1" ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/697a7838-476c-4f40-aff3-e7d22d11ee12/groups/2f1aa6fc-a309-4801-8a8e-6e2291190a92")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```